# 下发控制6x6大屏

#### 启动：

​		NettyApplication.java    主程序入口，运行即启动

```
//NettyApplication.java  文件路径: /src/main/java/com/gemho/netty/NettyApplication.java
	
	public static void main(String[] args) {
        SpringApplication.run(NettyApplication.class, args);
        new nettyServer(9999);    // 设备连接端口，可以根据自身情况进行修改
    }
```



​		application.yml文件中

```
// application.yml 文件路径: /src/main/resource/application.yml

	server:
      port: 9998                   // http请求端口，可以根据自身情况进行修改
```





#### 服务端：

​		监听端口: 9999

​		连接方式: 192.168.1.49:9999		





#### 请求接口 （程序启动占用9998端口）：

##### 下发到大屏数据

##### url:  http://192.168.1.49:9998/display

| 参数名称 | 参数值                                       |
| -------- | -------------------------------------------- |
| key      | 864333042029678（string） |
| code     | 03 (string)                                  |
| x        | 54（string）                             |
| y        | 5 （string）                             |
| font     | 30  (string)                                 |
| content  | 温度 (string)                                |

完整接口格式:

http://localhost:9998/display?key=864333042029678&code=01&x=12&y=15&font=31&content=温 度:33.5℃



##### 清屏指令

##### url:  http://192.168.1.49:9998/clear

| 参数名称 | 参数值                    |
| -------- | ------------------------- |
| key      | 864333042029678（string） |
| code     | 03(string)                |

完整接口格式:http://localhost:9998/clear?key=864333042029678&code=01
